Subject: [MMUSIC] Connectivity checks during call and re-connection

From: Olivier Crête <[email-masked]>
Date: Thu, 19 Feb 2009 15:16:16 -0500

Hello,

Google's libjingle ICE-like implementation does connectivity checks as
keepalives. This allows it to find out if the other end is no longer
"there" and try to reconnect, possibly through a different path.

In draft 19, I see that we're supposed to answer any connectivity-check,
so it should be possible to implement the same behavior. But I don't see
any mecanism to re-start the negotiation. Should one do a complete ICE
restart ?

-- 
Olivier Crête
[email-masked]
Collabora Ltd